
TYPO3.Flow - Bug # 55703

Status: Resolved Priority: Should have
Author: Stefan Aebischer Category:
Created: 2014-02-05 Assigned To:
Updated: 2014-06-18 Due date:
PHP Version: 5.4
Has patch: No
Complexity: no-brainer
Affected Flow version: Flow 2.0.0
Subject: CSRF Protection with X-Flow-CsrfToken Header doesn't work
Description

If the CSRF Token is submited as X-Flow-CsrfToken Request Header, the token validation fails, even if the correct token is submited.

The CsrfProtection RequestPattern tries to get the X-Flow-CsrfToken Header in order to validate the request (around line 108 in
TYPO3\Flow\Security\RequestPattern\CsrfProtection).

The header is transformed from X-Flow-CsrfToken to HTTP-X-FLOW-CSRFTOKEN through PHP and afterwards in TYPO3\Flow\Http
around line 72 to X-Flow-Csrftoken (lower t in Token).

A solution could be to name the header X-Flow-Csrf-Token.

Affected Version is 2.1.0 (not available to choose)

Associated revisions
Revision e8b17253 - 2014-05-21 19:39 - Martin Helmich

[BUGFIX] Fix header handling for CSRF tokens

This commit fixes a typo in the expected CSRF token header name.

Change-Id: I04a2b69084dafd07077384cb1cb6701cec197565
Fixes: #55703
Releases: master, 2.2, 2.1

Revision 23b05053 - 2014-05-21 19:40 - Martin Helmich

[BUGFIX] Fix header handling for CSRF tokens

This commit fixes a typo in the expected CSRF token header name.

Change-Id: I04a2b69084dafd07077384cb1cb6701cec197565
Fixes: #55703
Releases: master, 2.2, 2.1

Revision d7f56e9f - 2014-06-18 22:08 - Martin Helmich

[BUGFIX] Fix header handling for CSRF tokens
This commit fixes a typo in the expected CSRF token header name.

Change-Id: I04a2b69084dafd07077384cb1cb6701cec197565
Fixes: #55703
Releases: master, 2.2, 2.1

History
#1 - 2014-05-20 12:41 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30234

#2 - 2014-05-21 19:24 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30234

#3 - 2014-05-21 19:26 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30262

#4 - 2014-05-21 19:26 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30263

#5 - 2014-05-21 19:39 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30234

#6 - 2014-05-21 19:40 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30264

#7 - 2014-05-21 19:40 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30265

#8 - 2014-06-18 22:08 - Gerrit Code Review
Patch set 2 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30265

#9 - 2014-06-18 22:37 - Martin Helmich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d7f56e9f467d26c372c15f64f217109dd954c56c.

Files
csrfToken.diff 861 Bytes 2014-02-05 Stefan Aebischer
